From 2201818e5bd33f389beceb3943fdfcf5a698fc5b Mon Sep 17 00:00:00 2001
From: John Crispin <john@phrozen.org>
Date: Tue, 6 Mar 2018 10:01:43 +0100
Subject: [PATCH 05/27] usb: add more OF/quirk properties

Signed-off-by: John Crispin <john@phrozen.org>
---
 drivers/usb/host/ehci-platform.c | 5 +++++
 1 file changed, 5 insertions(+)

--- a/drivers/usb/host/ehci-platform.c
+++ b/drivers/usb/host/ehci-platform.c
@@ -277,6 +277,11 @@ static int ehci_platform_probe(struct pl
 	ehci = hcd_to_ehci(hcd);
 
 	if (pdata == &ehci_platform_defaults && dev->dev.of_node) {
+		of_property_read_u32(dev->dev.of_node, "caps-offset", &pdata->caps_offset);
+
+		if (of_property_read_bool(dev->dev.of_node, "has-synopsys-hc-bug"))
+			pdata->has_synopsys_hc_bug = 1;
+
 		if (of_property_read_bool(dev->dev.of_node, "big-endian-regs"))
 			ehci->big_endian_mmio = 1;
 
